=== src/oem-bt-dw1601-0.2/Makefile ===
ifneq ($(KERNELRELEASE),)

	obj-m := btusb.o
	obj-m += ath3k.o

else

KVER ?= $(shell uname -r)
KDIR = /lib/modules/$(KVER)/build
PWD = $(shell pwd)


default:
	make -C $(KDIR) M=$(PWD) modules

clean:
	make -C $(KDIR) M=$(PWD) clean

install: default
	make -C $(KDIR) M=$(PWD) INSTALL_MOD_DIR=updates modules_install
	depmod -ae

uninstall:
	rm -rf $(KDIR)/../updates
	depmod -ae
endif
