=== src/oem-sdcard-o2micro-1.0/Makefile ===
ifeq (,$(KVER))
CURRENT = $(shell uname -r)
else
CURRENT = $(KVER)
endif

KDIR = /lib/modules/$(CURRENT)/build
PWD = $(shell pwd)

obj-m := sdhci-pci.o

modules:
	make -C $(KDIR) M=$(PWD) modules

clean:
	make -C $(KDIR) M=$(PWD) clean
